KABC::Agent class Reference (kabc Library)

| # kabc Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KABC::Agent Class Reference

Important!!! More...

`#include <agent.h>`

Collaboration diagram for KABC::Agent:

[legend]
List of all members.

## Public Member Functions
| Agent ()
| Consturctor.
| Agent (const QString &url)
| Consturctor.
| Agent (Addressee *addressee)
| Consturctor.
| ~Agent ()
| Destructor.
bool | operator== (const Agent &) const
bool | operator!= (const Agent &) const
void | setUrl (const QString &url)
| Sets a URL for the location of the agent file.
void | setAddressee (Addressee *addressee)
| Sets the addressee of the agent.
bool | isIntern () const
| Returns whether the agent is described by a URL (extern) or by a addressee (intern).
QString | url () const
| Returns the location URL of this agent.
Addressee * | addressee () const
| Returns the addressee object of this agent.
QString | asString () const
| Returns string representation of the agent.
## Friends
QDataStream & | operator<< (QDataStream &, const Agent &)
QDataStream & | operator>> (QDataStream &, Agent &)

## Detailed Description

Important!!!

At the moment the vcard format does not support saving and loading this entity.

Definition at line 34 of file agent.h.

## Constructor & Destructor Documentation

Agent::Agent | ( |  | ) |

| Consturctor. Creates an empty object. Definition at line 27 of file agent.cpp.

Agent::Agent | ( | const QString & | url | ) |

  | Consturctor. Parameters:
  url | A URL that describes the position of the agent file.
Definition at line 32 of file agent.cpp.

Agent::Agent | ( | Addressee * | addressee | ) |

  | Consturctor. Parameters:
  addressee | The addressee object of the agent.
Definition at line 37 of file agent.cpp.

Agent::~Agent | ( |  | ) |

| Destructor. Definition at line 42 of file agent.cpp.

## Member Function Documentation

void Agent::setUrl | ( | const QString & | url | ) |

  | Sets a URL for the location of the agent file. When using this function, isIntern() will return 'false' until you use setAddressee(). Parameters:
  url | The location URL of the agent file.
Definition at line 69 of file agent.cpp.

void Agent::setAddressee | ( | Addressee * | addressee | ) |

  | Sets the addressee of the agent. When using this function, isIntern() will return 'true' until you use setUrl(). Parameters:
  addressee | The addressee object of the agent.
Definition at line 75 of file agent.cpp.

bool Agent::isIntern | ( |  | ) | const

| Returns whether the agent is described by a URL (extern) or by a addressee (intern). When this method returns 'true' you can use addressee() to get a Addressee object. Otherwise you can request the URL of this agent by url() and load the data from that location. Definition at line 81 of file agent.cpp.

QString Agent::url | ( |  | ) | const

| Returns the location URL of this agent. Definition at line 86 of file agent.cpp.

Addressee * Agent::addressee | ( |  | ) | const

| Returns the addressee object of this agent. Definition at line 91 of file agent.cpp.

QString Agent::asString | ( |  | ) | const

| Returns string representation of the agent. Definition at line 96 of file agent.cpp.

The documentation for this class was generated from the following files:

- agent.h
- agent.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:29:33 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001